## org.eclipse.emf.cdo.common.revision.cache
Interface CDORevisionCache

All Superinterfaces:
  org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.event.INotifier.Introspection

    public interface CDORevisionCache

extends org.eclipse.net4j.util.event.INotifier.Introspection

Since:
  2.0

Nested Class Summary
`static interface` `CDORevisionCache.EvictionEvent`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Method Summary
`boolean` `addRevision(InternalCDORevision revision)`
`void` `clear()`
`org.eclipse.emf.ecore.EClass` `getObjectType(CDOID id)`
`CDOID` `getResourceID(CDOID folderID, java.lang.String name, long timeStamp)`
`InternalCDORevision` `getRevision(CDOID id)`
`InternalCDORevision` `getRevisionByTime(CDOID id, long timeStamp)`
`InternalCDORevision` `getRevisionByVersion(CDOID id, int version)`
`java.util.List<CDORevision>` `getRevisions()` Returns a list of `revisions` that are current.
`InternalCDORevision` `removeRevision(CDOID id, int version)`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier.Introspection
`getListeners, hasListeners`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Method Detail

### getObjectType

    org.eclipse.emf.ecore.EClass getObjectType(CDOID id)

### getRevision

    InternalCDORevision getRevision(CDOID id)

### getRevisionByTime

    InternalCDORevision getRevisionByTime(CDOID id,
                                          long timeStamp)

### getRevisionByVersion

    InternalCDORevision getRevisionByVersion(CDOID id,
                                             int version)

### removeRevision

    InternalCDORevision removeRevision(CDOID id,
                                       int version)

### getRevisions

    java.util.List<CDORevision> getRevisions()

  Returns a list of `revisions` that are current.

### addRevision

    boolean addRevision(InternalCDORevision revision)

### getResourceID

    CDOID getResourceID(CDOID folderID,
                        java.lang.String name,
                        long timeStamp)

### clear

    void clear()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.